package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZsColumn;
import com.ruoyi.system.domain.vo.ZsColumnVo;
import com.ruoyi.system.domain.bo.ZsColumnBo;

import java.util.Collection;
import java.util.List;

/**
 * 站点栏目管理Service接口
 *
 * @author ruoyi
 * @date 2025-04-29
 */
public interface IZsColumnService {

    /**
     * 查询站点栏目管理
     */
    ZsColumnVo queryById(Long id);


    /**
     * 查询站点栏目管理列表
     */
    List<ZsColumnVo> queryList(ZsColumnBo bo);

    /**
     * 新增站点栏目管理
     */
    Boolean insertByBo(ZsColumnBo bo);

    /**
     * 修改站点栏目管理
     */
    Boolean updateByBo(ZsColumnBo bo);

    /**
     * 校验并批量删除站点栏目管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
